<% /*
    $Revision$
    $Id$

    File:           model_fac_nieuws_groep.inc

    Description:    fac nieuws groep (bericht categorie) model.
    Parameters:
    Context:

    Notes:
*/
%>
<%

function model_fac_nieuws_groep()
{
    this.table = "fac_nieuws_groep";
    this.primary = "fac_nieuws_groep_key";
    this.autfunction = "WEB_MSGBOF";
    this.record_name = "messagecategory";
    this.records_name = "messagecategories";
    this.record_title = L("fac_nieuws_groep");
    this.records_title = L("fac_nieuws_groep_m");
    this.fields = {
        "id": {
            "dbs": "fac_nieuws_groep_key",
            "label": L("lcl_key"),
            "typ": "key",
            "required": true,
            "seq": "fac_s_fac_nieuws_groep_key"
        },
        "name": {
            "dbs": "fac_nieuws_groep_omschrijving",
            "label": L("fac_nieuws_groep_desc"),
            "typ": "varchar",
			"required": true,
            "filter": "like"
        },
        "created": {
            "dbs": "fac_nieuws_groep_aanmaak",
            "label": L("fac_nieuws_groep_aanmaak"),
            "typ": "datetime",
            "readonly": true
        }
    };

    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this);
}
%>